Last Comment Bug 445494 - (es5) ECMAScript 5 (formerly 3.1) Tracking Bug
(es5)
: ECMAScript 5 (formerly 3.1) Tracking Bug
Status: RESOLVED FIXED
: meta
Product: Core
Classification: Components
Component: JavaScript Engine (show other bugs)
: Trunk
: All All
: -- normal with 12 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
:
Mentors:
http://www.ecma-international.org/pub...
Depends on: es5strict regexpliteralflaw 290592 304828 305064 307791 320887 340987 363040 367388 387522 408838 412571 bind 430133 430930 440926 444787 465199 492840 492844 492845 492849 495325 497869 501739 508637 509184 509510 509733 510537 513115 513387 514760 518663 520696 521617 523401 529404 531675 534377 536472 537863 539488 541212 547087 550402 552432 554616 562446 562448 564621 572279 574153 575522 575535 575997 577325 577536 578273 581067 584811 584909 585891 588251 590690 592664 598164 598176 598996 600392 601262 602441 602994 603201 609024 610350 617171 618319 618350 619283 622321 633256 635005 635009 635010 635017 636989 647831 649575 653153 653175 653438 654685 657367 663338 664528 858381 1242043
Blocks: js1.8.5 569993
  Show dependency treegraph
 
Reported: 2008-07-16 06:13 PDT by John Resig
Modified: 2016-01-22 14:05 PST (History)
53 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description John Resig 2008-07-16 06:13:07 PDT
This is a tracking bug to monitor the progress of implementing ECMAScript 3.1-specific features in Spidermonkey.

Current drafts of the specification can be found here:
http://wiki.ecmascript.org/doku.php?id=es3.1:es3.1_proposal_working_draft
Comment 1 Brendan Eich [:brendan] 2009-05-09 13:26:44 PDT
See URL for candidate draft. Errata to es5-discuss@mozilla.org.

/be
Comment 2 Jim Blandy :jimb 2010-07-12 14:49:21 PDT
(bug 537873 already listed as blocking es5strict, where it belongs)
Comment 3 Marco Perez 2010-10-06 23:53:04 PDT
The old document is no longer available. It looks like they updated the status
of the new one to "final draft". (updating URL accordingly)
Comment 4 Jeff Walden [:Waldo] (remove +bmo to email) 2012-04-28 12:39:47 PDT
Metabugs don't get documented, rather their sub-bugs get documented, at least as a general rule.  Untagging...
Comment 5 AWAY Tom Schuster [:evilpie] 2016-01-22 10:31:35 PST
I am taking bets on whether bug 694100 (ES6) is also going to hit the 8 year mark before being FIXED. Good work everyone.
Comment 6 Jason Orendorff [:jorendorff] 2016-01-22 12:57:52 PST
bterlson reminded me of bug 605515. Looking into it.

Note You need to log in before you can comment on or make changes to this bug.